package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 志愿记录对象 a_wish_record
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public class AWishRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 序号 */
    @Excel(name = "序号")
    private Integer seq;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 批次名称 */
    @Excel(name = "批次名称")
    private String batchName;

    /** 输入条件 */
    @Excel(name = "输入条件")
    private String request;

    /** 用户内容 */
    @Excel(name = "用户内容")
    private String userSnapshot;

    /** 报名详情 */
    @Excel(name = "报名详情")
    private String details;

    /** 状态:0无效1有效 */
    @Excel(name = "状态:0无效1有效")
    private Integer status;

    private Boolean obsoleted;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSeq(Integer seq) 
    {
        this.seq = seq;
    }

    public Integer getSeq() 
    {
        return seq;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setRequest(String request) 
    {
        this.request = request;
    }

    public String getRequest() 
    {
        return request;
    }
    public void setUserSnapshot(String userSnapshot) 
    {
        this.userSnapshot = userSnapshot;
    }

    public String getUserSnapshot() 
    {
        return userSnapshot;
    }
    public void setDetails(String details) 
    {
        this.details = details;
    }

    public String getDetails() 
    {
        return details;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public Boolean getObsoleted() {
        return obsoleted;
    }

    public void setObsoleted(Boolean obsoleted) {
        this.obsoleted = obsoleted;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("year", getYear())
            .append("type", getType())
            .append("seq", getSeq())
            .append("name", getName())
            .append("request", getRequest())
            .append("userSnapshot", getUserSnapshot())
            .append("details", getDetails())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
